[regression] Crashing with dbus.exceptions.DBusException when logind can't be started (yet)

Bug #1806487 reported by errors.ubuntu.com bug bridge on 2018-12-03
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unattended-upgrades (Ubuntu)
Critical
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

[Impact]

 * Unattended-upgrades.service may crash due to starting earlier than dbus and logind are up or due to logind failing to start.
 * Unattended-upgrades.service not starting prevents installation of upgrades on shutdown (when u-u is configured to do that) and also prevents gracefully stopping running u-u _before_ shutdown as implemented in LP: #1803137. U-u is still stopped gracefully after the shutdown transaction is started, but that may let service restarts hang the upgrade process.
 * The fix is adding an After service dependency on systemd-logind to ensure starting u-u.service after logind at least tried to start and also changing u-u-s to start even with logind's absence.

[Test Case]

 * Stop systemd-logind and make it unable to start for example by masking it:

root@bb-logind:~# ln -s /dev/null /etc/systemd/system/systemd-logind.service
root@bb-logind:~# systemctl daemon-reload
root@bb-logind:~# service systemd-logind stop
root@bb-logind:~# service systemd-logind status
● systemd-logind.service
   Loaded: masked (/dev/null; bad)
   Active: inactive (dead) since Thu 2018-12-13 13:02:44 UTC; 1s ago
 Main PID: 1938 (code=killed, signal=TERM)
   Status: "Processing requests..."
...

 * Run u-u-s and observe it crashing in unfixed version and starting with falling back to polling logind instead taking the inhibition lock at its start:

root@bb-logind:~# /usr/share/unattended-upgrades/unattended-upgrade-shutdown --debug
root@bb-logind:~# tail /var/log/unattended-upgrades/unattended-upgrades-shutdown.log
...
2018-12-13 14:30:17,600 WARNING - Could not get delay inhibitor lock
2018-12-13 14:30:17,601 DEBUG - Skip waiting for signals, starting operation now
2018-12-13 14:30:17,601 DEBUG - Starting countdown of 25.0 minutes
2018-12-13 14:30:17,602 DEBUG - Initializing apt_pkg configuration
2018-12-13 14:30:17,602 DEBUG - get_lock returned 7
2018-12-13 14:30:17,602 DEBUG - lock not taken

 * Restore logind's ability to start

root@bb-logind:~# rm /etc/systemd/system/systemd-logind.service
root@bb-logind:~# systemctl daemon-reload

 * Restart unattended-upgrades.service

root@bb-logind:~# service unattended-upgrades restart
root@bb-logind:~# service unattended-upgrades status
● unattended-upgrades.service - Unattended Upgrades Shutdown
   Loaded: loaded (/lib/systemd/system/unattended-upgrades.service; enabled; vendor preset: enabled)
   Active: active (running) since Thu 2018-12-13 14:31:43 UTC; 3s ago
     Docs: man:unattended-upgrade(8)
 Main PID: 4129 (unattended-upgr)
    Tasks: 2 (limit: 4915)
   CGroup: /system.slice/unattended-upgrades.service
           └─4129 /usr/bin/python3 /usr/share/unattended-upgrades/unattended-upgrade-shutdown --wait-for-signal

Dec 13 14:31:43 bb-logind systemd[1]: Started Unattended Upgrades Shutdown.
root@bb-logind:~# tail /var/log/unattended-upgrades/unattended-upgrades-shutdown.log
2018-12-13 14:30:17,601 DEBUG - Starting countdown of 25.0 minutes
2018-12-13 14:30:17,602 DEBUG - Initializing apt_pkg configuration
2018-12-13 14:30:17,602 DEBUG - get_lock returned 7
2018-12-13 14:30:17,602 DEBUG - lock not taken
2018-12-13 14:31:43,595 WARNING - SIGTERM or SIGHUP received, stopping unattended-upgradesonly if it is running
2018-12-13 14:31:43,688 WARNING - Could not get delay inhibitor lock
2018-12-13 14:31:43,691 WARNING - Unable to monitor PrepareForShutdown() signal, polling instead.
2018-12-13 14:31:43,691 WARNING - Maybe systemd-logind service is not running.
2018-12-13 14:31:43,691 WARNING - Unable to monitor PrepareForShutdown() signal, polling instead.
2018-12-13 14:31:43,691 WARNING - To enable monitoring the PrepareForShutdown() signal instead of polling please install the python3-gi package

root@bb-logind:~# systemd-analyze dot | grep unattended
...
"unattended-upgrades.service"->"systemd-logind.service" [color="green"];
...

[Regression Potential]

 * The change to service ordering is unlikely to cause any issue, but the graceful handling of missing logind involved a small-scale refactoring of u-u-s's code. Extensive testing did not reveal regressions in that area, but potential bugs may cause u-u.service fail to start and affect graceful shutdown of u-u the same way as detailed in [Impact].

[Original Bug Text]

The Ubuntu Error Tracker has been receiving reports about a problem regarding unattended-upgrades. This problem was most recently seen with package version 1.1ubuntu1.18.04.7, the problem page at https://errors.ubuntu.com/problem/caf5d885046359f4857cee6c4a61e1d72d0913b1 contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

Also seen as:
 * https://errors.ubuntu.com/problem/ac61b23e0ec25a291427b875bf213fdd5b097fa5

Balint Reczey (rbalint) on 2018-12-13
description: updated
Changed in unattended-upgrades (Ubuntu):
importance: Undecided → Critical
Balint Reczey (rbalint) on 2018-12-13
description: updated
Balint Reczey (rbalint) on 2018-12-13
description: updated
Balint Reczey (rbalint) on 2018-12-13
summary: - /usr/share/unattended-upgrades/unattended-upgrade-
- shutdown:dbus.exceptions.DBusException(org.freedesktop.DBus.Error.TimedOut):activate_name_owner:get_name_owner:call_blocking:/usr/share
- /unattended-upgrades/unattended-upgrade-
- shutdown@373:main:__init__:get_logind_proxy:get_object:__init__:activate_name_owner:start_service_by_name:call_blocking
+ [regression] Crashing with dbus.exceptions.DBusException when logind
+ can't be started (yet)
tags: added: regression-update

Hello errors.ubuntu.com, or anyone else affected,

Accepted unattended-upgrades into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unattended-upgrades/1.5ubuntu3.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in unattended-upgrades (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in unattended-upgrades (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello errors.ubuntu.com, or anyone else affected,

Accepted unattended-upgrades into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unattended-upgrades/1.1ubuntu1.18.04.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello errors.ubuntu.com, or anyone else affected,

Accepted unattended-upgrades into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unattended-upgrades/1.1ubuntu1.18.04.7~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in unattended-upgrades (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unattended-upgrades - 1.9

---------------
unattended-upgrades (1.9) unstable; urgency=medium

  [ Julian Andres Klode ]
  * test_dev_release: Fix and enable test.
  * Depend on python3-distro-info.
    This is needed to make sure DEVEL_UNTIL_RELEASE actually works. We need
    to fix up travis in addition to control, as it only knows about trusty
    build dependencies.
  * Import distro_info globally, and fix calculation of days.
    The check was off by one: If you were 21 days away from the release,
    it would not switch on, but tell you that it would not upgrade before
    today.
  * test_dev_release: Test Unattended-Upgrade::DevRelease=auto.

  [ David Lang and Balint Reczey]
  * Allow installing untrusted packages when APT::Get::AllowUnauthenticated
    is set (Closes: #775469) (LP: #1167053)

  [ Hans van Kranenburg and Balint Reczey]
  * Clarify highly misleading Package-Blacklist option documentation
    (Closes: #753892)

  [ Balint Reczey ]
  * test/test_dev_release.py: Fix missing mock attributes
  * Leave the cache clean when returning from calculate_upgradable_pkgs()
    When collecting upgradable packages the upgradable ones stayed in the
    cache and they were upgraded together even when unattended-upgrades
    was configured to perform upgrades in minimal steps.
    Thanks to Paul Wise
  * debian/tests/upgrade-all-security: Check if all security-updates are
    applied and if old-autoremovable packages are kept
  * Clear cache only when needed when checking black- and whitelists
  * Add --no-minimal-upgrade-steps option
  * Stop using untrusted package names as blacklists (LP: #1805447)
  * Update copyright info
  * Load modules lazily loaded by datetime.datetime.strptime() when u-u starts
    When Python is upgraded to a new major version the the version running
    unattended-upgrades can be removed as being newly unused causing a crash.
  * Start service after systemd-logind.service to be able to take inhibition lock
    and handle gracefully when logind is down (LP: #1806487)
  * List packages making reboot required in /var/run/reboot-required.pkgs

 -- Balint Reczey <email address hidden> Wed, 12 Dec 2018 13:41:49 +0100

Changed in unattended-upgrades (Ubuntu):
status: New → Fix Released
tags: added: id-5c1281350678792b80fdc206
Balint Reczey (rbalint) wrote :
Download full text (3.3 KiB)

Verified unattended-upgrades 1.5ubuntu3.18.10.1 on cosmic:

root@cc-lp-1806487-uu:~# /usr/share/unattended-upgrades/unattended-upgrade-shutdown --debug
root@cc-lp-1806487-uu:~# tail /var/log/unattended-upgrades/unattended-upgrades-shutdown.log
2018-12-19 18:29:38,461 WARNING - SIGTERM or SIGHUP received, stopping unattended-upgradesonly if it is running
2018-12-19 18:32:11,165 WARNING - Could not get delay inhibitor lock
2018-12-19 18:32:11,165 DEBUG - Skip waiting for signals, starting operation now
2018-12-19 18:32:11,166 DEBUG - Starting countdown of 25.0 minutes
2018-12-19 18:32:11,166 DEBUG - Initializing apt_pkg configuration
2018-12-19 18:32:11,167 DEBUG - get_lock returned 9
2018-12-19 18:32:11,167 DEBUG - lock not taken
root@cc-lp-1806487-uu:~# rm /etc/systemd/system/systemd-logind.servicerm /etc/systemd/system/systemd-logind.servicerm: cannot remove '/etc/systemd/system/systemd-logind.servicerm': No such file or directory
root@cc-lp-1806487-uu:~# rm /etc/systemd/system/systemd-logind.servicerm /etc/systemd/system/systemd-logind.servicerm: cannot remove '/etc/systemd/system/systemd-logind.servicerm': No such file or directory
rm: cannot remove '/etc/systemd/system/systemd-logind.service': No such file or directory
root@cc-lp-1806487-uu:~# rm /etc/systemd/system/systemd-logind.service
rm: cannot remove '/etc/systemd/system/systemd-logind.service': No such file or directory
root@cc-lp-1806487-uu:~# systemctl daemon-reload
root@cc-lp-1806487-uu:~# service unattended-upgrades restart
root@cc-lp-1806487-uu:~# service unattended-upgrades status
● unattended-upgrades.service - Unattended Upgrades Shutdown
   Loaded: loaded (/lib/systemd/system/unattended-upgrades.service; enabled; vendor preset: enabled)
   Active: active (running) since Wed 2018-12-19 18:33:11 UTC; 7s ago
     Docs: man:unattended-upgrade(8)
 Main PID: 3164 (unattended-upgr)
    Tasks: 2 (limit: 4915)
   Memory: 8.5M
   CGroup: /system.slice/unattended-upgrades.service
           └─3164 /usr/bin/python3 /usr/share/unattended-upgrades/unattended-upgrade-shutdown --wait-for-signal

Dec 19 18:33:11 cc-lp-1806487-uu systemd[1]: Started Unattended Upgrades Shutdown.
root@cc-lp-1806487-uu:~# tail /var/log/unattended-upgrades/unattended-upgrades-shutdown.log
2018-12-19 18:29:38,461 WARNING - SIGTERM or SIGHUP received, stopping unattended-upgradesonly if it is running
2018-12-19 18:32:11,165 WARNING - Could not get delay inhibitor lock
2018-12-19 18:32:11,165 DEBUG - Skip waiting for signals, starting operation now
2018-12-19 18:32:11,166 DEBUG - Starting countdown of 25.0 minutes
2018-12-19 18:32:11,166 DEBUG - Initializing apt_pkg configuration
2018-12-19 18:32:11,167 DEBUG - get_lock returned 9
2018-12-19 18:32:11,167 DEBUG - lock not taken
2018-12-19 18:33:11,800 WARNING - SIGTERM or SIGHUP received, stopping unattended-upgradesonly if it is running
root@cc-lp-1806487-uu:~# dpkg -l unattended-upgrades | cat
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Architecture Description
+++-===================-...

Read more...

Balint Reczey (rbalint) wrote :
Download full text (6.7 KiB)

Verified 1.1ubuntu1.18.04.8 on Bionic:

root@bb-lp-1806487-uu:~# ln -s /dev/null /etc/systemd/system/systemd-logind.service
root@bb-lp-1806487-uu:~# service systemd-logind stop

root@bb-lp-1806487-uu:~#
root@bb-lp-1806487-uu:~# service systemd-logind status
● systemd-logind.service - Login Service
   Loaded: loaded (/lib/systemd/system/systemd-logind.service; masked; vendor preset: enabled)
   Active: inactive (dead) since Wed 2018-12-19 18:37:18 UTC; 4s ago
     Docs: man:systemd-logind.service(8)
           man:logind.conf(5)
           https://www.freedesktop.org/wiki/Software/systemd/logind
           https://www.freedesktop.org/wiki/Software/systemd/multiseat
  Process: 196 ExecStart=/lib/systemd/systemd-logind (code=killed, signal=TERM)
 Main PID: 196 (code=killed, signal=TERM)
   Status: "Processing requests..."

Dec 19 14:08:17 bb-lp-1806487-uu systemd[1]: Starting Login Service...
Dec 19 14:08:17 bb-lp-1806487-uu systemd-logind[196]: New seat seat0.
Dec 19 14:08:17 bb-lp-1806487-uu systemd[1]: Started Login Service.
Dec 19 18:35:38 bb-lp-1806487-uu systemd-logind[196]: New session c1 of user root.
Dec 19 18:36:17 bb-lp-1806487-uu systemd[1]: systemd-logind.service: Failed to reset devices.list: Operation not per
Dec 19 18:36:17 bb-lp-1806487-uu systemd[1]: systemd-logind.service: Failed to reset devices.list: Operation not per
Dec 19 18:36:18 bb-lp-1806487-uu systemd[1]: systemd-logind.service: Failed to reset devices.list: Operation not per
Dec 19 18:37:18 bb-lp-1806487-uu systemd[1]: Stopping Login Service...
Dec 19 18:37:18 bb-lp-1806487-uu systemd[1]: Stopped Login Service.
root@bb-lp-1806487-uu:~# systemctl daemon-reload
root@bb-lp-1806487-uu:~# service systemd-logind stop
root@bb-lp-1806487-uu:~# service systemd-logind status
● systemd-logind.service
   Loaded: masked (/dev/null; bad)
   Active: inactive (dead) since Wed 2018-12-19 18:37:18 UTC; 32s ago
 Main PID: 196 (code=killed, signal=TERM)
   Status: "Processing requests..."

Dec 19 14:08:17 bb-lp-1806487-uu systemd[1]: Starting Login Service...
Dec 19 14:08:17 bb-lp-1806487-uu systemd-logind[196]: New seat seat0.
Dec 19 14:08:17 bb-lp-1806487-uu systemd[1]: Started Login Service.
Dec 19 18:35:38 bb-lp-1806487-uu systemd-logind[196]: New session c1 of user root.
Dec 19 18:36:17 bb-lp-1806487-uu systemd[1]: systemd-logind.service: Failed to reset devices.list: Operation not per
Dec 19 18:36:17 bb-lp-1806487-uu systemd[1]: systemd-logind.service: Failed to reset devices.list: Operation not per
Dec 19 18:36:18 bb-lp-1806487-uu systemd[1]: systemd-logind.service: Failed to reset devices.list: Operation not per
Dec 19 18:37:18 bb-lp-1806487-uu systemd[1]: Stopping Login Service...
Dec 19 18:37:18 bb-lp-1806487-uu systemd[1]: Stopped Login Service.
root@bb-lp-1806487-uu:~# /usr/share/unattended-upgrades/unattended-upgrade-shutdown --debug
root@bb-lp-1806487-uu:~# tail /var/log/unattended-upgrades/unattended-upgrades-shutdown.log
2018-12-19 18:37:58,922 WARNING - Could not get delay inhibitor lock
2018-12-19 18:37:58,922 DEBUG - Skip waiting for signals, starting operation now
2018-12-19 18:37:58,923 DEBUG - Starting countdown of 25.0 minutes
2018-12-19 18:37:58,923 DEBUG - In...

Read more...

Balint Reczey (rbalint) wrote :
Download full text (4.2 KiB)

Verifed 1.1ubuntu1.18.04.7~16.04.1 on Xenial:

root@x-lp-1806487-uu:~# ln -s /dev/null /etc/systemd/system/systemd-logind.service
root@x-lp-1806487-uu:~# service systemd-logind stop1.1ubuntu1.18.04.7~16.04.1
root@x-lp-1806487-uu:~# vi /etc/apt/sources.list
root@x-lp-1806487-uu:~# apt update -qq
23 packages can be upgraded. Run 'apt list --upgradable' to see them.
root@x-lp-1806487-uu:~# apt install -qq unattended-upgrades
The following package was automatically installed and is no longer required:
  libfreetype6
Use 'apt autoremove' to remove it.
Suggested packages:
  bsd-mailx default-mta | mail-transport-agent needrestart
The following packages will be upgraded:
  unattended-upgrades
1 upgraded, 0 newly installed, 0 to remove and 22 not upgraded.
Need to get 40.2 kB of archives.
After this operation, 69.6 kB of additional disk space will be used.
Preconfiguring packages ...
(Reading database ... 25709 files and directories currently installed.)
Preparing to unpack .../unattended-upgrades_1.1ubuntu1.18.04.7~16.04.1_all.deb ...
Unpacking unattended-upgrades (1.1ubuntu1.18.04.7~16.04.1) over (0.90ubuntu0.9) ...
Processing triggers for systemd (229-4ubuntu21.10) ...
Processing triggers for ureadahead (0.100.0-19) ...
Processing triggers for man-db (2.7.5-1) ...
Setting up unattended-upgrades (1.1ubuntu1.18.04.7~16.04.1) ...
Installing new version of config file /etc/kernel/postinst.d/unattended-upgrades ...
Installing new version of config file /etc/pm/sleep.d/10_unattended-upgrades-hibernate ...
root@x-lp-1806487-uu:~# systemctl daemon-reload
root@x-lp-1806487-uu:~# service systemd-logind status
● systemd-logind.service
   Loaded: masked (/dev/null; bad)
   Active: inactive (dead) since Wed 2018-12-19 18:41:11 UTC; 1min 14s ago
 Main PID: 376 (code=killed, signal=TERM)
   Status: "Processing requests..."

Dec 19 14:19:03 x-lp-1806487-uu systemd-logind[376]: New seat seat0.
Dec 19 14:19:03 x-lp-1806487-uu systemd[1]: Started Login Service.
Dec 19 18:40:20 x-lp-1806487-uu systemd-logind[376]: New session c1 of user root.
Dec 19 18:41:11 x-lp-1806487-uu systemd[1]: Stopping Login Service...
Dec 19 18:41:11 x-lp-1806487-uu systemd[1]: Stopped Login Service.
root@x-lp-1806487-uu:~# /usr/share/unattended-upgrades/unattended-upgrade-shutdown --debug
root@x-lp-1806487-uu:~# tail /var/log/unattended-upgrades/unattended-upgrades-shutdown.log
2018-12-19 18:42:33,848 WARNING - Could not get delay inhibitor lock
2018-12-19 18:42:33,849 DEBUG - Skip waiting for signals, starting operation now
2018-12-19 18:42:33,849 DEBUG - Starting countdown of 25.0 minutes
2018-12-19 18:42:33,850 DEBUG - Initializing apt_pkg configuration
2018-12-19 18:42:33,850 DEBUG - get_lock returned 7
2018-12-19 18:42:33,851 DEBUG - lock not taken
root@x-lp-1806487-uu:~# rm /etc/systemd/system/systemd-logind.service
root@x-lp-1806487-uu:~# systemctl daemon-reload
root@x-lp-1806487-uu:~# service unattended-upgrades restart
root@x-lp-1806487-uu:~# service unattended-upgrades restart
root@x-lp-1806487-uu:~# service unattended-upgrades status
● unattended-upgrades.service - Unattended Upgrades Shutdown
   Loaded: loaded (/lib/systemd/system/unattended-upgrades.service; enabled; vendor p...

Read more...

tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-xenial

The verification of the Stable Release Update for unattended-upgrades has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unattended-upgrades - 1.1ubuntu1.18.04.8

---------------
unattended-upgrades (1.1ubuntu1.18.04.8) bionic; urgency=medium

  * Start service after systemd-logind.service to be able to take inhibition
    lock (LP: #1806487)
  * Handle gracefully when logind is down (LP: #1806487)

 -- Balint Reczey <email address hidden> Thu, 13 Dec 2018 14:42:44 +0100

Changed in unattended-upgrades (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unattended-upgrades - 1.5ubuntu3.18.10.1

---------------
unattended-upgrades (1.5ubuntu3.18.10.1) cosmic; urgency=medium

  * Start service after systemd-logind.service to be able to take inhibition
    lock (LP: #1806487)
  * Handle gracefully when logind is down (LP: #1806487)

 -- Balint Reczey <email address hidden> Thu, 13 Dec 2018 14:39:12 +0100

Changed in unattended-upgrades (Ubuntu Cosmic):
status: Fix Committed → Fix Released

Hello errors.ubuntu.com, or anyone else affected,

Accepted unattended-upgrades into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unattended-upgrades/1.1ubuntu1.18.04.7~16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-xenial
removed: verification-done verification-done-xenial
Balint Reczey (rbalint) wrote :

There were no relevant changes between .1 and .2 thus marking this bug as verified on Xenial again.

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :
Download full text (33.9 KiB)

This bug was fixed in the package unattended-upgrades - 1.1ubuntu1.18.04.7~16.04.2

---------------
unattended-upgrades (1.1ubuntu1.18.04.7~16.04.2) xenial; urgency=medium

  * Don't check blacklist too early and report updates from not allowed origins
    as kept back. (LP: #1781176)
  * test/test_blacklisted_wrong_origin.py: Fix and enable test
  * Filter out progress indicator from dpkg log (LP: #1599646)
  * Clear cache when autoremoval fails (LP: #1779157)
  * Find autoremovable kernel packages using the patterns in APT's way
    (LP: #1815494)

unattended-upgrades (1.1ubuntu1.18.04.7~16.04.1) xenial; urgency=medium

  * Start service after systemd-logind.service to be able to take inhibition
    lock (LP: #1806487)
  * Handle gracefully when logind is down (LP: #1806487)

unattended-upgrades (1.1ubuntu1.18.04.7~16.04.0) xenial; urgency=medium

  * Backport to Xenial (LP: #1702793)
  * Revert to build-depending on debhelper (>= 9~) and dh-systemd
  * Revert configuration example changes to avoid triggering a debconf question
  * debian/postinst: Update recovery to be triggered on Xenial's package versions

unattended-upgrades (1.1ubuntu1.18.04.7) bionic; urgency=medium

  * Trigger unattended-upgrade-shutdown actions with PrepareForShutdown()
    Performing upgrades in service's ExecStop did not work when the upgrades
    involved restarting services because systemd blocked other stop/start
    actions making maintainer scripts time out and be killed leaving a broken
    system behind.
    Running unattended-upgrades.service before shutdown.target as a oneshot
    service made it run after unmounting filesystems and scheduling services
    properly on shutdown is a complex problem and adding more services to the
    mix make it even more fragile.
    The solution of monitoring PrepareForShutdown() signal from DBus
    allows Unattended Upgrade to run _before_ the jobs related to shutdown are
    queued thus package upgrades can safely restart services without
    risking causing deadlocks or breaking part of the shutdown actions.
    Also ask running unattended-upgrades to stop when shutdown starts even in
    InstallOnShutdown mode and refactor most of unattended-upgrade-shutdown to
    UnattendedUpgradesShutdown class. (LP: #1778219)
  * Increase logind's InhibitDelayMaxSec to 30s. (LP: #1778219)
    This allows more time for unattended-upgrades to shut down gracefully
    or even install a few packages in InstallOnShutdown mode, but is still a
    big step back from the 30 minutes allowed for InstallOnShutdown previously.
    Users enabling InstallOnShutdown node are advised to increase
    InhibitDelayMaxSec even further possibly to 30 minutes.
    - Add NEWS entry about increasing InhibitDelayMaxSec and InstallOnShutdown
      changes
  * Ignore "W503 line break before binary operator"
    because it will become the best practice and breaks the build
  * Stop using ActionGroups, they interfere with apt.Cache.clear()
    causing all autoremovable packages to be handled as newly autoremovable
    ones and be removed by default. Dropping ActionGroup usage does not slow
    down the most frequent case of not having anything to upgrade a...

Changed in unattended-upgrades (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers